
#ifndef _X256_H_
  #define _X256_H_

//  extern void X256_movPixel (int X,int Y,long Color);
  extern void X256_putPixel (int X,int Y,long Color);
  extern long X256_getPixel (int X,int Y);
  extern void X256_clear (long Color);
  extern void X256_getWin (void *Win, int X, int Y, int Size_X, int Size_Y, int formatX);
  extern void X256_putWin (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
  extern void X256_putSpr (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
  extern void X256_putWin2 (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
  extern void X256_putSpr2 (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);

  /*
  #ifdef __TURBOC__
    #define X256_movWin X256_putWin
    #define X256_movSpr X256_putSpr
    #define X256_movWin2 X256_putWin2
    #define X256_movSpr2 X256_putSpr2
  #else
    extern void X256_movWin (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
    extern void X256_movSpr (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
    extern void X256_movWin2 (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
    extern void X256_movSpr2 (void *Win, int X, int Y, int SIZE_X, int SIZE_Y, int formatX);
  #endif

  extern void X256C_flush (void);
  extern void X256C_init (void);
  extern void X256C_done (void);

  */

#endif
